org.keycloak.services.resources.admin

## Class OAuthClientsResource

- java.lang.Object
- - org.keycloak.services.resources.admin.OAuthClientsResource

- Direct Known Subclasses:
    OAuthClientsByIdResource

      public class OAuthClientsResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientsResource(RealmModel realm, RealmAuth auth, KeycloakSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createOAuthClient(javax.ws.rs.core.UriInfo uriInfo, OAuthClientRepresentation rep)` Create an oauth client
    `protected String` | `getClientPath(OAuthClientModel oauth)`
    `OAuthClientResource` | `getOAuthClient(String clientId)` Base path to manage one specific oauth client
    `protected OAuthClientModel` | `getOAuthClientModel(String clientId)`
    `List<OAuthClientRepresentation>` | `getOAuthClients()` Get a list of oauth clients in this realm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### realm

          protected RealmModel realm

    - #### session

          protected KeycloakSession session

  - ### Constructor Detail

    - #### OAuthClientsResource

          public OAuthClientsResource(RealmModel realm,
                              RealmAuth auth,
                              KeycloakSession session)

  - ### Method Detail

    - #### getOAuthClients

          @GET
          @Produces(value="application/json")
          public List<OAuthClientRepresentation> getOAuthClients()

      Get a list of oauth clients in this realm.
      Returns:

    - #### createOAuthClient

          @POST
          @Consumes(value="application/json")
          public javax.ws.rs.core.Response createOAuthClient(@Context
                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                  OAuthClientRepresentation rep)

      Create an oauth client
      Parameters:
        `uriInfo` -
        `rep` -
      Returns:

    - #### getClientPath

          protected String getClientPath(OAuthClientModel oauth)

    - #### getOAuthClient

          @Path(value="{clientId}")
          public OAuthClientResource getOAuthClient(@PathParam(value="clientId")
                                                String clientId)

      Base path to manage one specific oauth client
      Parameters:
        `clientId` - oauth client's clientId
      Returns:

    - #### getOAuthClientModel

          protected OAuthClientModel getOAuthClientModel(String clientId)

Copyright © 2015. All Rights Reserved.